RubyGems Navigation menu

fog 2.0.0.pre.0

The Ruby cloud services library. Supports all major cloud providers including AWS, Rackspace, Linode, Blue Box, StormOnDemand, and many others. Full support for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 2.3.0 - October 03, 2022 (470 KB)
  2. 2.2.0 - June 18, 2019 (468 KB)
  3. 2.1.0 - November 12, 2018 (532 KB)
  4. 2.0.0 - March 06, 2018 (545 KB)
  5. 2.0.0.pre.0 - September 15, 2015 (1.16 MB)
Show all versions (246 total)

Runtime Dependencies (24):

fog-atmos >= 0
fog-aws >= 0.6.0
fog-brightbox ~> 0.4
fog-core ~> 1.32
fog-dynect ~> 0.0.2
fog-ecloud ~> 0.1
fog-google >= 0.0.2
fog-json >= 0
fog-local >= 0
fog-powerdns >= 0.1.1
fog-radosgw >= 0.0.2
fog-riakcs >= 0
fog-sakuracloud >= 0.0.4
fog-voxel >= 0
fog-xml ~> 0.1.1
ipaddress ~> 0.5
nokogiri >= 0

Development Dependencies (18):

docker-api >= 1.13.6
fission >= 0
minitest >= 0
opennebula >= 0
pry >= 0
rake >= 0
rbovirt = 0.0.32
rbvmomi >= 0
rspec-core >= 0
rubocop >= 0
shindo ~> 0.3.4
simplecov >= 0
thor >= 0
vcr >= 0
webmock >= 0
yard >= 0

Owners:

Authors:

  • geemus (Wesley Beary)

SHA 256 checksum:

7621014f2923b040a970aedb4d8023ec8d18e202863b1c00ca928ffb9c03a145

Total downloads 57,489,448

For this version 48,844

License:

MIT

Required Ruby Version: >= 1.9.3

Required Rubygems Version: > 1.3.1

Links: